%define upstream_name    Catalyst-Model-Adaptor
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Helper for the incredibly lazy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl(ok)
BuildArch: noarch

%description
The idea is that you don't want your Catalyst model to be anything other
than a line or two of glue. Using this module ensures that your Model
classes are separate from your application and therefore are
well-abstracted, reusable, and easily testable.

Right now there are too many modules on CPAN that are Catalyst-specific.
Most of the models would be better written as a class that handles most of
the functionality with just a bit of glue to make it work nicely with
Catalyst. This module aims to make integrating your class with Catalyst
trivial, so you won't have to do any extra work to make your model generic.

For a good example of a Model that takes the right design approach, take a
look at Catalyst::Model::DBIC::Schema. All it does is glues an existing
DBIx::Class::Schema to Catalyst. It provides a bit of sugar, but no actual
functionality. Everything important happens in the 'DBIx::Class::Schema'
object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1023218
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 951342
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.100.0-1.mga5
+ Revision: 805218
- imported package perl-Catalyst-Model-Adaptor


* Wed Dec 24 2014 Buchan Milne <buchan> 0.10-1mga
- initial mageia release
